# Key codes (Virtual-Key Codes)
# Reference: https://learn.microsoft.com/en-us/windows/win32/inputdev/virtual-key-codes

VK = {
    "BACK": 0x08,
    "TAB": 0x09,
    "ENTER": 0x0D,
    "SHIFT": 0x10,
    "CTRL": 0x11,
    "ALT": 0x12,
    "PAUSE": 0x13,
    "CAPS_LOCK": 0x14,
    "ESC": 0x1B,
    "SPACE": 0x20,
    "PAGE_UP": 0x21,
    "PAGE_DOWN": 0x22,
    "END": 0x23,
    "HOME": 0x24,
    "LEFT_ARROW": 0x25,
    "UP_ARROW": 0x26,
    "RIGHT_ARROW": 0x27,
    "DOWN_ARROW": 0x28,
    "INSERT": 0x2D,
    "DELETE": 0x2E,

    # Numbers 0-9
    "0": 0x30,
    "1": 0x31,
    "2": 0x32,
    "3": 0x33,
    "4": 0x34,
    "5": 0x35,
    "6": 0x36,
    "7": 0x37,
    "8": 0x38,
    "9": 0x39,

    # Letters A-Z
    "A": 0x41,
    "B": 0x42,
    "C": 0x43,
    "D": 0x44,
    "E": 0x45,
    "F": 0x46,
    "G": 0x47,
    "H": 0x48,
    "I": 0x49,
    "J": 0x4A,
    "K": 0x4B,
    "L": 0x4C,
    "M": 0x4D,
    "N": 0x4E,
    "O": 0x4F,
    "P": 0x50,
    "Q": 0x51,
    "R": 0x52,
    "S": 0x53,
    "T": 0x54,
    "U": 0x55,
    "V": 0x56,
    "W": 0x57,
    "X": 0x58,
    "Y": 0x59,
    "Z": 0x5A,

    # Function keys
    "F1": 0x70,
    "F2": 0x71,
    "F3": 0x72,
    "F4": 0x73,
    "F5": 0x74,
    "F6": 0x75,
    "F7": 0x76,
    "F8": 0x77,
    "F9": 0x78,
    "F10": 0x79,
    "F11": 0x7A,
    "F12": 0x7B,
}

# Common Windows apps with their executable names or commands
APPS = {
    "NOTEPAD": "notepad.exe",
    "CALCULATOR": "calc.exe",
    "PAINT": "mspaint.exe",
    "CMD": "cmd.exe",
    "POWERSHELL": "powershell.exe",
    "EXPLORER": "explorer.exe",
    "MICROSOFT_WORD": "winword.exe",
    "MICROSOFT_EXCEL": "excel.exe",
    "MICROSOFT_POWERPOINT": "powerpnt.exe",
    "MICROSOFT_OUTLOOK": "outlook.exe",
    "EDGE": "msedge.exe",
    "CHROME": "chrome.exe",
    "FIREFOX": "firefox.exe",
    "VLC": "vlc.exe",
}
